Subject: Re: [PATCH] fix numbering of lines in /proc/net/tcp (linux-2.6.0-test7)

From: "David S. Miller" <[email-masked]>
Date: Tue, 14 Oct 2003 10:45:03 -0700

On Wed, 15 Oct 2003 01:38:48 +0900 (JST)
YOSHIFUJI Hideaki / _$B5HF#1QL@ <[email-masked]> wrote:

> In article <[email-masked]> (at Tue, 14 Oct 2003 12:19:32 -0400), Tim Shepard <[email-masked]> says:
> 
> > I am not sure what the behavior is supposed to be.  Is there a spec
> > anywhere for the interface with /proc/net/tcp?
> 
> Yes, I think the original is okay because the bucket is shared between
> tcp6 and tcp4, and I don't want to change this behavior in 2.6 from 2.4.x.
> (so, we need to fix 2.6.x.)

In the meantime I've applied Tim's patch because it is definitely
a step in the right direction and the current 2.6.x behavior makes
no sense at all :-)

We can add a fix on top to make 2.6.x behave more closely to 2.4.x
(by sharing numbers between v4 and v6).  If that proves to be very
difficult to do, it's not absolutely critical to preserve this behavior
I think.